<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$clie_id=$_POST['clie_id'];
$total=$_POST['total'];
$valor=$_POST['valor'];
$saldo=$total-$valor;

$forma_pago=$_POST['forma_pago'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
   $medio_pago=$_POST['medio_pago'];
}

$concepto=$_POST['concepto'];
$fecha=date('Y-m-d H:i:s');

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;
$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_id=$dato['mov_id']+1;

$can=mysqli_query($con,"SELECT MAX(abo_numero)as abo_numero FROM abono_adelantado ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$abo_numero=$dato['abo_numero']+1;

$sql=mysqli_query($con,"SELECT * from cliente Where clie_id='$clie_id'") or  die(mysqli_error($con));
$sql=mysqli_fetch_array($sql);
$clie_nota_credito=$sql['clie_nota_credito'];
$clie_nombre=$sql['clie_nombre'];
$suma=$clie_nota_credito+$valor;

$sql=mysqli_query($con,"UPDATE cliente Set clie_nota_credito ='$suma' Where clie_id='$clie_id'") or die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT INTO movimientos (mov_id,mov_caja,mov_apertura,mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono adelantado','$concepto','$valor','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or  die(mysqli_error($con));  

$registros=mysqli_query($con,"INSERT INTO abono_adelantado (abo_clie_id,abo_numero,abo_clie_nombre,abo_fecha,abo_forma_pago,abo_medio_pago,abo_concepto,abo_valor,abo_saldo,abo_adelantado,empresa,movimientos_mov_id) 
VALUES ('$clie_id','$abo_numero','$clie_nombre','$fecha','$forma_pago','$medio_pago','$concepto','$valor','$saldo','si','$empresa','$mov_id')") or  die(mysqli_error($con));  

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Abono</strong> Registrado correctamente
</div>';
?>